<?php 

$wp_customize->add_section(
    'service_area',
    array(
        'title'         => __( 'Services Section', 'Luzuk' ),
        'panel'   => 'luzuk_premium_home_panel',
    )
);
$wp_customize->add_setting(
    'service_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'service_area_disable',
        array(
            'settings'      => 'service_area_disable',
            'section'       => 'service_area',
            'label'         => __( 'Disable Section', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk' ),
                'off' => __( 'No', 'Luzuk' )
            )   
        )
    )
);

backgroundManager($wp_customize, 'service', 'service_area', $color='#ffffff', get_template_directory_uri().'/images/default-gray.png', 'img');

//lzCustomLable($wp_customize, 'luzuk_sec_servicessectionpadding', 'service_area', 'Set Section Padding:');

// $wp_customize->add_setting(
//     'service_areaTpadding',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '0em', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'service_areaTpadding',
//     array(
//         'settings'      => 'service_areaTpadding',
//         'section'       => 'service_area',
//         'type'          => 'text',
//         'label'         => __( 'Top Padding', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_setting(
//     'service_areaBpadding',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '0em', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'service_areaBpadding',
//     array(
//         'settings'      => 'service_areaBpadding',
//         'section'       => 'service_area',
//         'type'          => 'text',
//         'label'         => __( 'Bottom Padding', 'luzuk-premium' )
//     )
// );

$wp_customize->add_setting('service_area_lbl2', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'service_area_lbl2',
        array(
            'settings'      => 'service_area_lbl2',
            'section'       => 'service_area',
            'label'         => __( 'Note2:', 'Luzuk' ),  
            'description'   => __( 'Use Shortcode [SERVICES] to show all services in a page & images use Same Height', 'Luzuk' ),
        )
    )
);


$wp_customize->add_setting('service_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'service_npp_heading',
        array(
            'settings'      => 'service_npp_heading',
            'section'       => 'service_area',
            'label'         => __( 'Number of Services to show', 'Luzuk' ),
        )
    )
);    
$wp_customize->add_setting('service_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
$wp_customize->add_control(
    'service_npp_count',
    array(
        'settings'      => 'service_npp_count',
        'section'       => 'service_area',
        'type'          => 'select',
        'label'         => __( 'Number of Services to show', 'Luzuk' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

$ServicesSingleChoice[] = 'Select';
for( $i = 1; $i <= 12; $i++ ){
    $wp_customize->add_setting(
        'services_heading'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'services_heading'.$i,
            array(
                'settings'      => 'services_heading'.$i,
                'section'       => 'service_area',
                'label'         => __( 'Services Page', 'Luzuk' ).$i,
            )
        )
    );
    if(is_array($ServicesSingleChoice)){
        $wp_customize->add_setting(
            'services_page'.$i,
            array(
                'sanitize_callback' => 'absint'
            )
        );
        $wp_customize->add_control(
            'services_page'.$i,
            array(
                'settings'      => 'services_page'.$i,
                'section'       => 'service_area',
                'type'=> 'select',
                'label'         => __( 'Select a Services Page', 'Luzuk' ),
                'choices' => $ServicesSingleChoice,
            )
        );
        
// $wp_customize->add_setting(
//         'services_page_icon1'.$i,
//         array(
//             'default'           => 'fa fa-street-view',
//             'sanitize_callback' => 'luzuk_sanitize_text'
//         )
//     );        
//     $wp_customize->add_control(
//         new luzuk_Fontawesome_Icon_Chooser(
//             $wp_customize,
//             'services_page_icon1'.$i,
//             array(
//                 'settings'      => 'services_page_icon1'.$i,
//                 'section'       => 'service_area',
//                 'type'          => 'icon',
//                 'label'         => __( 'FontAwesome Icon', 'Luzuk' ),
//             )
//         )
//     );

    }else{
        $wp_customize->add_setting('service_area_lbl'.$i, array('sanitize_callback'=>'luzuk_sanitize_text'));
        $wp_customize->add_control(
            new luzuk_Info_Text( 
                $wp_customize,
                'service_area_lbl'.$i,
                array(
                    'settings'      => 'service_area_lbl'.$i,
                    'section'       => 'service_area',
                    'label'         => __( 'Note:', 'Luzuk' ),    
                    'description'   => __( '<strong>Changes will not reflect unless you select the Service Page.</strong> <br/>Please add the Services from "Services menu" and then select Services to show information.', 'Luzuk' ),
                )
            )
        );
    }
 
}

lzCustomLable($wp_customize, 'luzuk_sec_servicescolor', 'service_area', 'Section Color');

addColorPalatOption($wp_customize, 'ser_hgbgclr', 'service_area', 'Section Highlight Box Background Color ', '#041026');

addColorPalatOption($wp_customize, 'ser_tphgsvgclr', 'service_area', 'Section Top SVG Shape Color ', '#57aea6');

addColorPalatOption($wp_customize, 'ser_bottmhgsvgclr', 'service_area', 'Section Bottom SVG Shape Color ', '#3a3c6f');

addColorPalatOption($wp_customize, 'serimghv', 'service_area', 'Section Image Hover Color ', '#393c6f');

addColorPalatOption($wp_customize, 'services_ServicePageTitleColor', 'service_area', 'Section Title Name Color ', '#000');

addColorPalatOption($wp_customize, 'serimgbrd', 'service_area', 'Section Title Hover Border Color ', '#7f8690');

lzCustomLable($wp_customize, 'service_button_displaylabel', 'service_area', 'Section Button Display & Text Setting:');

// to show & hide another button
$wp_customize->add_setting( 'servicesss_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'servicesss_button_display', array( 'label' => 'Button Display', 'section' => 'service_area', 'settings' => 'servicesss_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button

$wp_customize->add_setting(
    'homepageservicesbutton',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'EXPLORE', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'homepageservicesbutton',
    array(
        'settings'      => 'homepageservicesbutton',
        'section'       => 'service_area',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);
addColorPalatOption($wp_customize, 'Service_btnColor', 'service_area', 'Section Button Text & Icon Color', '#7f8690');

addColorPalatOption($wp_customize, 'Service_btnbhoverClr', 'service_area', 'Section Button Text & Icon Hover Color', '#fff');

addColorPalatOption($wp_customize, 'Service_btnbgColor', 'service_area', 'Section Button Background Color', '#fff');

addColorPalatOption($wp_customize, 'Service_btnbghoverColor', 'service_area', 'Section Button Background Hover Color', '#393c6f');


